function BookSearch()
{
	var form = document.searchform;
	
	if(!form.searchwhat.value ||
	   form.searchwhat.value == "ÇëÊäÈë¹Ø¼ü×Ö") {
		alert("ÇëÊäÈëËÑË÷ÄÚÈÝ");
		return false;
	}
	var str = form.searchwhat.value;
	str = str.replace("\"","¡°");
	str = str.replace("\"","¡±");
	str = str.replace("\'","¡®");
	str = str.replace("\'","¡¯");
	form.searchwhat.value = str;
	if(form.searchtype.value == "1") {
		form.type.value = "name";
		form.key.value = form.searchwhat.value;
		form.action = "sosoo.asp";
	} else if (form.searchtype.value == "2")
		form.action = gl_url + "/cgi-bin/searchwork";
	else if (form.searchtype.value == "3") {
		form.type.value = "author";
		form.key.value = form.searchwhat.value;
		form.action = "sosoo.asp";
	} else {
		form.type.value = "press";
		form.key.value = form.searchwhat.value;
		form.action = "sosoo.asp";
	}
	return true;
}
function BindEnter(action)
{
	var ev = window.event;
	if (!ev) {
		var c = BindEnter.caller;
		while (c) {
			ev = c.arguments[0];
			if (ev && Event == ev.constructor) {
				break;
			}
			c = c.caller;
		}
	}
        var key = (ev.which)?ev.which:ev.keyCode;
	if (key == 13) {
		if (action == "search")
			BookSearch();
		else if (action == "login")
			CheckFormlogin(document.loginform);
	}
}
/*  |xGv00|7b0db3c24f45489272d1a9f91a4cd91e */